sayren Docs
상품

상품 목록 조회

GET
/v1/products
AuthorizationBearer <token>

userToken(계정 스코프) 또는 storeToken(스토어 스코프)

In: header

Query Parameters

page?string

페이지 번호 (1부터, 기본 1)

size?string

페이지 크기 (기본 20, 최대 100)

categoryId?string

카테고리 필터 — 하위 카테고리의 상품도 포함

keyword?string

상품명 검색 (포함)

sellerCode?string

판매자 상품코드 — 이 코드가 붙은 variant를 가진 상품

sort?string

정렬 (기본 createdAt.desc)

Value in

  • "createdAt.desc"
  • "createdAt.asc"
  • "salePrice.asc"
  • "salePrice.desc"
  • "updatedAt.desc"
status?string

판매 상태 필터

Value in

  • "SALE"
  • "SUSPENDED"
  • "OUT_OF_STOCK"
  • "CLOSED"

Response Body

application/json

curl -X GET "https://example.com/v1/products"
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "page": 0,    "size": 0,    "totalElements": 0,    "totalPages": 0,    "contents": [      {        "productId": "string",        "name": "string",        "status": "SALE",        "salePrice": 0,        "discountedPrice": 0,        "stockQuantity": 0,        "categoryId": "string",        "thumbnailUrl": "http://example.com",        "hasOptions": true,        "updatedAt": "string"      }    ]  },  "error": null}